Entity API
Search Entities
Search entities with advanced filtering, sorting, and pagination. Supports filtering by entity type, name search, field filters (with OR between filter groups and AND within groups), and custom sorting.
POST
/
v2
/
entities
/
search
Search Entities
curl --request POST \
--url https://public.api.serval.com/v2/entities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"filterGroups": [
{
"filters": [
{
"boolValue": {
"eq": true
},
"fieldId": "<string>",
"fieldKey": "<string>"
}
],
"sourceFilter": {
"eq": "<string>",
"ne": "<string>"
}
}
],
"fieldSorts": [
{
"entitySource": {},
"descending": true
}
],
"pageSize": 123,
"pageToken": "<string>",
"key": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/entities/search"
payload = {
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"filterGroups": [
{
"filters": [
{
"boolValue": { "eq": True },
"fieldId": "<string>",
"fieldKey": "<string>"
}
],
"sourceFilter": {
"eq": "<string>",
"ne": "<string>"
}
}
],
"fieldSorts": [
{
"entitySource": {},
"descending": True
}
],
"pageSize": 123,
"pageToken": "<string>",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
entityTypeId: '<string>',
entityTypeKey: '<string>',
filterGroups: [
{
filters: [{boolValue: {eq: true}, fieldId: '<string>', fieldKey: '<string>'}],
sourceFilter: {eq: '<string>', ne: '<string>'}
}
],
fieldSorts: [{entitySource: {}, descending: true}],
pageSize: 123,
pageToken: '<string>',
key: '<string>'
})
};
fetch('https://public.api.serval.com/v2/entities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"fieldValues": [
{
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
}
],
"sourceAppInstanceIds": [
"<string>"
],
"sharedMetadata": {
"sourceTeamId": "<string>",
"sourceTeamName": "<string>"
}
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID of the team.
Optional filter by entity type ID.
Optional filter by entity type key (alternative to entity_type_id).
Filter groups for complex filtering. OR between groups, AND within each group.
Show child attributes
Show child attributes
Sorting specifications.
- Entity Source
- Field Id
- Field Key
Show child attributes
Show child attributes
Maximum number of results to return. Default is 2000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Optional filter by entity key (exact match).
Was this page helpful?
⌘I
Search Entities

